What are the system requirements to use BeFunky?

To use our Photo Editor, we recommend that you have:

  • Microsoft Windows 7/8/10, Mac OS X or Linux, with a 1GHz processor or better 
  • At least 512 MB of RAM. 
  • A web browser such as Internet Explorer version 9.0 or higher, Firefox 10.0 or higher, Safari 4.0 or higher, or Google Chrome 14.0 or higher. 
  • The latest flash player installed on your computer. You can check your version and download the latest one for free at Adobe Flash Player  website.
  • Also a screen resolution of 1024 x 768 pixels or higher is recommended to make it easier to work 
Have more questions? Submit a request